Package org.eclipse.birt.chart.event

# Class Line3DRenderEvent

java.lang.Object
java.util.EventObject
org.eclipse.birt.chart.event.ChartEvent
org.eclipse.birt.chart.event.PrimitiveRenderEvent
org.eclipse.birt.chart.event.LineRenderEvent
org.eclipse.birt.chart.event.Line3DRenderEvent

All Implemented Interfaces:
  `Serializable`, `Comparable`, `I3DRenderEvent`

public final class Line3DRenderEvent extends LineRenderEvent implements I3DRenderEvent
A rendering event type for rendering 3D Line object.

See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class org.eclipse.birt.chart.event.PrimitiveRenderEvent

`DRAW, FILL, iObjIndex`

## Constructor Summary

Constructors
Constructor
Description
`Line3DRenderEvent(Object oSource)`
The constructor.

## Method Summary

Modifier and Type
Method
Description
`PrimitiveRenderEvent`
`copy()`
`Location3D`
`getEnd3D()`
Returns the 3D end location of this line.
`Object3D`
`getObject3D()`
Returns the 3D object associated with this event.
`Object3D`
`getObject3DParent()`
`Location3D`
`getStart3D()`
Returns the 3D start location of this line.
`void`
`prepare2D(double xOffset, double yOffset)`
Prepares the coordinates to render on 2D plane.
`void`
`reset()`
Resets the inner state of current event.
`void`
`setEnd3D(double x, double y, double z)`
Sets the 3D end location of the line.
`void`
`setEnd3D(Location3D end)`
Sets the 3D end location of the line.
`void`
`setObject3DParent(Object3D object3DParent)`
`void`
`setStart3D(double x, double y, double z)`
Sets the 3D start location of the line.
`void`
`setStart3D(Location3D start)`
Sets the 3D start location of the line.

### Methods inherited from class org.eclipse.birt.chart.event.LineRenderEvent

`draw, fill, getBounds, getEnd, getLineAttributes, getStart, getZOrder, setEnd, setLineAttributes, setStart, setZOrder`

### Methods inherited from class org.eclipse.birt.chart.event.PrimitiveRenderEvent

`compareRegular, compareTo, compareTransposed, getBackground, getDepth, getLabel, isEnabled, setDepth, setEnable`

### Methods inherited from class org.eclipse.birt.chart.event.ChartEvent

`setSourceObject`

### Methods inherited from class java.util.EventObject

`getSource, toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### Line3DRenderEvent

public Line3DRenderEvent(Object oSource)
The constructor.

## Method Details

### setStart3D

public void setStart3D(Location3D start)
Sets the 3D start location of the line.

### setStart3D

public void setStart3D(double x, double y, double z)
Sets the 3D start location of the line.

### getStart3D

public Location3D getStart3D()
Returns the 3D start location of this line. Not a live object

Returns:

### setEnd3D

public void setEnd3D(Location3D end)
Sets the 3D end location of the line.

### setEnd3D

public void setEnd3D(double x, double y, double z)
Sets the 3D end location of the line.

### getEnd3D

public Location3D getEnd3D()
Returns the 3D end location of this line. Not a live object

Returns:

### copy

public PrimitiveRenderEvent copy()

Overrides:
  `copy` in class `LineRenderEvent`
Returns:
  A copy of this primitive rendering instruction implemented by subclasses

### getObject3D

public Object3D getObject3D()
Description copied from interface: `I3DRenderEvent`
Returns the 3D object associated with this event.

Specified by:
  `getObject3D` in interface `I3DRenderEvent`
Returns:

### prepare2D

public void prepare2D(double xOffset, double yOffset)
Description copied from interface: `I3DRenderEvent`
Prepares the coordinates to render on 2D plane.

Specified by:
  `prepare2D` in interface `I3DRenderEvent`
Parameters:
  `xOffset` -
  `yOffset` -

### reset

public void reset()
Description copied from class: `ChartEvent`
Resets the inner state of current event. This must be implemented if the object is cached and reused.

Overrides:
  `reset` in class `LineRenderEvent`

### getObject3DParent

public Object3D getObject3DParent()

### setObject3DParent

public void setObject3DParent(Object3D object3DParent)